"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConflictingEntityError_1 = require("@js-entity-repos/core/dist/errors/ConflictingEntityError");
var MissingEntityError_1 = require("@js-entity-repos/core/dist/errors/MissingEntityError");
var http_status_codes_1 = require("http-status-codes");
exports.default = (function (handler) {
    return function (req, res) {
        handler(req, res).catch(function (err) {
            if (err instanceof ConflictingEntityError_1.default) {
                return res.status(http_status_codes_1.CONFLICT).send();
            }
            if (err instanceof MissingEntityError_1.default) {
                return res.status(http_status_codes_1.NOT_FOUND).send();
            }
            /* istanbul ignore next */
            return res.status(http_status_codes_1.INTERNAL_SERVER_ERROR).send();
        });
    };
});
//# sourceMappingURL=catchErrors.js.map