"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var express = require("express");
var http_1 = require("http");
var factory_1 = require("../factory");
var memoryRepo_1 = require("./memoryRepo");
exports.default = (function (_a) {
    var port = _a.port, route = _a.route;
    return new Promise(function (resolve) {
        var app = express();
        app.use(route, factory_1.default({
            service: memoryRepo_1.default(),
        }));
        var server = http_1.createServer(app);
        server.listen(port, function () {
            // tslint:disable-next-line:no-console
            console.log("Started test server on port " + port);
            resolve(server);
        });
    });
});
//# sourceMappingURL=createTestServer.js.map